Bug 580650 - virt-inspector warns "No grub default specified at /usr/lib/perl5/Sys/Guestfs/Lib.pm at [...]"
virt-inspector warns "No grub default specified at /usr/lib/perl5/Sys/Guestfs...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libguestfs (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-08 13:30 EDT by Eric Blake
Modified: 2010-04-30 19:47 EDT (History)
3 users (show)

See Also:
Fixed In Version: libguestfs-1.2.2-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-08 14:34:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Blake 2010-04-08 13:30:20 EDT
Description of problem:
virt-inspector spat out several suspicious messages, before exiting with non-zero status, when inspecting an existing rawhide guest image


Version-Release number of selected component (if applicable):
$ virt-inspector --verseion
1.0.85


How reproducible:
Always


Steps to Reproduce:
1. Using the LiveCD for F13 virtualization test day, with a mount to see my existing guest images on the host machine
2. virt-inspector /sysroot/libvirt/images/rawhide.img
  
Actual results:
Most of the command is okay, but the first line is suspicious, and the final line demonstrated the problem:

$ virt-inspector /sysroot/libvirt/images/rawhide.img
No grub default specified at /usr/lib/perl5/Sys/Guestfs/Lib.pm line 1646.
linux fedora i386 14 on /dev/vg_vmrawhide/lv_root:
  Mountpoints:
    /dev/vg_vmrawhide/lv_root      /
    /dev/sda1                      /boot
    /dev/vg_vmrawhide/lv_swap      swap
...
    mesa-libGL 7.8
    gok 2.30.0
  Kernels:
Can't use an undefined value as an ARRAY reference at /usr/bin/virt-inspector line 411.
$ echo $?
11

Expected results:
reasonable information, and exit status of 0


Additional info:
reproduced on other images as well (F13, Windows 2k8):
$ virt-inspector /sysroot/libvirt/images/windows_2008.img 
windows  on /dev/sda1:
  Mountpoints:
    /dev/sda1                      /
  Filesystems:
    /dev/sda1:
      type: ntfs
      content: windows-root
  Applications:
  Kernels:
Can't use an undefined value as an ARRAY reference at /usr/bin/virt-inspector line 411.
Comment 1 Richard W.M. Jones 2010-04-08 13:49:08 EDT
I believe that this change:
http://git.annexia.org/?p=libguestfs.git;a=commitdiff;h=ed6fc794c8a2f64f8b987137b54551f4380177f3
fixes the "undefined value as an ARRAY reference" error.
It just missed version 1.0.85.

The warning about "no grub default" is still in the code,
and should be made less scary.
Comment 2 Richard W.M. Jones 2010-04-08 14:34:53 EDT
I removed this warning upstream as it is fairly
useless for the end user:
http://git.annexia.org/?p=libguestfs.git;a=commitdiff;h=3765f97898a1194d96ab4124e1eb46e25701b3b2
Comment 3 Fedora Update System 2010-04-09 10:09:53 EDT
libguestfs-1.2.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libguestfs-1.2.1-1.fc13
Comment 4 Fedora Update System 2010-04-13 03:43:26 EDT
libguestfs-1.2.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libguestfs-1.2.2-1.fc13
Comment 5 Fedora Update System 2010-04-30 19:46:37 EDT
libguestfs-1.2.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.